function onTalk()
	disableMovement()
	player.DummyAutoAnimate = false
	player.Facing = getEnum("Celeste.Facings", "Right")
	player.Sprite:Play("sitDown")
	wait(2)
	setColorGrade("CloverBC26/Heartside/black",false)
	wait(1)
	playMusic("event:/LeenaTheFox_music/CloverRMX-2")
	wait(6)
	setColorGrade("CloverBC26/Heartside/white",false)
	wait(1.8)
	helpers.teleportTo(-3170,-2550,"b-Transition")
end

function onEnd(room, wasSkipped)
	if wasSkipped then
		setFlag("transitionSkip",true)
		helpers.teleportTo(-3170,-2550,"b-Transition")
	end
end